org.richfaces.resource

## Class AbstractJava2DUserResource

- java.lang.Object
- - org.richfaces.resource.AbstractJava2DUserResource

- All Implemented Interfaces:
    Java2DUserResource
  Direct Known Subclasses:
    ArrowBase, AutocompleteGradient, BaseGradient, CalendarIcon, CalendarSeparator, ComboDownButton, InputNumberSliderBarHandleBackgroundImage, OneColorBasedResource, PanelIconBasic, ProgressBarAnimatedBackgroundImage, TreeLineImage, TreePlusImage

      public abstract class AbstractJava2DUserResource
      extends Object
      implements Java2DUserResource

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractJava2DUserResource(Dimension dimension)`
    `AbstractJava2DUserResource(ImageType imageType, Dimension dimension)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Dimension` | `getDimension()`
    `ImageType` | `getImageType()`
    `Date` | `getLastModified()`
    `Map<String,String>` | `getResponseHeaders()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.resource.Java2DUserResource

      `paint`

- - ### Constructor Detail

    - #### AbstractJava2DUserResource

          public AbstractJava2DUserResource(Dimension dimension)

    - #### AbstractJava2DUserResource

          public AbstractJava2DUserResource(ImageType imageType,
                                            Dimension dimension)

  - ### Method Detail

    - #### getImageType

          public ImageType getImageType()

      Specified by:
        `getImageType` in interface `Java2DUserResource`

    - #### getDimension

          public Dimension getDimension()

      Specified by:
        `getDimension` in interface `Java2DUserResource`

    - #### getResponseHeaders

          public Map<String,String> getResponseHeaders()

      Specified by:
        `getResponseHeaders` in interface `Java2DUserResource`

    - #### getLastModified

          public Date getLastModified()

      Specified by:
        `getLastModified` in interface `Java2DUserResource`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.